
#include "TranslationLayer.h"

USING_NS_CC;

Layer* TranslationLayer::createLayer()
{
	return TranslationLayer::create();
}

bool TranslationLayer::init()
{
	if (!(Layer::init()))
	{
		return false;
	}

	auto visibleSize = Director::getInstance()->getVisibleSize();
	Vec2 origin = Director::getInstance()->getVisibleOrigin();


	// add "HelloWorld" splash screen"
	auto sprite = Sprite::create("bg.jpg");
	if (sprite == nullptr)
	{
		// problemLoading("'HelloWorld.png'");
	}
	else
	{
		// position the sprite on the center of the screen
		sprite->setPosition(Vec2(visibleSize.width / 2 + origin.x, visibleSize.height / 2 + origin.y));

		// add the sprite as a child to this layer
		this->addChild(sprite, 0);
	}

	return true;

}